IllegalTransitionException (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dp.IllegalTransitionException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Class IllegalTransitionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bio.BioException
                  org.biojava.bio.dp.IllegalTransitionException

All Implemented Interfaces:
  Serializable

    public class IllegalTransitionException

extends BioException

This exception indicates that there is no transition between two states.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`IllegalTransitionException()`
`IllegalTransitionException(State from, State to)`
`IllegalTransitionException(State from, State to, String message)`

Method Summary
`State` | `getFrom()`
`State` | `getTo()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalTransitionException

    public IllegalTransitionException(State from,
                                      State to,
                                      String message)

### IllegalTransitionException

    public IllegalTransitionException(State from,
                                      State to)

### IllegalTransitionException

    public IllegalTransitionException()

Method Detail

### getFrom

    public State getFrom()

### getTo

    public State getTo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD